com.fasterxml.jackson.dataformat.avro.deser

## Class AvroReadContext

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

- Direct Known Subclasses:
    AvroStructureReader, MissingReader, RootReader

      public abstract class AvroReadContext
      extends com.fasterxml.jackson.core.JsonStreamContext

  We need to use a custom context to be able to carry along Object and array records.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `_currentValue`
    `protected AvroReadContext` | `_parent`
    `protected String` | `_typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroReadContext(AvroReadContext parent, String typeId)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_reportError()`
    `protected abstract void` | `appendDesc(StringBuilder sb)`
    `String` | `getCurrentName()`
    `abstract com.fasterxml.jackson.core.JsonToken` | `getCurrentToken()`
    `Object` | `getCurrentValue()`
    `AvroReadContext` | `getParent()`
    `long` | `getRemainingElements()`
    `String` | `getTypeId()`
    `abstract String` | `nextFieldName()`
    `abstract com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `setCurrentValue(Object v)`
    `abstract void` | `skipValue(AvroParserImpl parser)`
    `String` | `toString()` Overridden to provide developer writeable "JsonPath" representation of the context.

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _parent

          protected final AvroReadContext _parent

    - #### _typeId

          protected final String _typeId

    - #### _currentValue

          protected Object _currentValue

      Since:
        2.9

  - ### Constructor Detail

    - #### AvroReadContext

          public AvroReadContext(AvroReadContext parent,
                                 String typeId)

  - ### Method Detail

    - #### nextToken

          public abstract com.fasterxml.jackson.core.JsonToken nextToken()
                                                                  throws IOException

      Throws:
        `IOException`

    - #### nextFieldName

          public abstract String nextFieldName()
                                        throws IOException

      Throws:
        `IOException`

    - #### skipValue

          public abstract void skipValue(AvroParserImpl parser)
                                  throws IOException

      Throws:
        `IOException`

    - #### getRemainingElements

          public long getRemainingElements()

    - #### getCurrentValue

          public Object getCurrentValue()

      Overrides:
        `getCurrentValue` in class `com.fasterxml.jackson.core.JsonStreamContext`

    - #### setCurrentValue

          public void setCurrentValue(Object v)

      Overrides:
        `setCurrentValue` in class `com.fasterxml.jackson.core.JsonStreamContext`

    - #### getCurrentName

          public String getCurrentName()

      Specified by:
        `getCurrentName` in class `com.fasterxml.jackson.core.JsonStreamContext`

    - #### getCurrentToken

          public abstract com.fasterxml.jackson.core.JsonToken getCurrentToken()

    - #### getParent

          public final AvroReadContext getParent()

      Specified by:
        `getParent` in class `com.fasterxml.jackson.core.JsonStreamContext`

    - #### appendDesc

          protected abstract void appendDesc(StringBuilder sb)

    - #### getTypeId

          public String getTypeId()

    - #### _reportError

          protected void _reportError()

      Since:
        2.8.7 public abstract boolean isEnd() { }

    - #### toString

          public final String toString()

      Overridden to provide developer writeable "JsonPath" representation of the context.
      Overrides:
        `toString` in class `com.fasterxml.jackson.core.JsonStreamContext`

Copyright © 2019 FasterXML. All rights reserved.